> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get activity history for a specific Bitcoin Rune including mints, burns, and transfer transactions.

# Activity by Rune



## OpenAPI

````yaml bitcoin/blockchain-indexer-api/openapi.json get /assets/runes/{rune}/activity
openapi: 3.0.3
info:
  title: Bitcoin - Blockchain Indexer API
  description: >-
    This API provides core indexer endpoints with support for Bitcoin
    metaprotocols by delivering real-time, rollback-protected access to
    Bitcoin's UTXO data, enabling developers to build responsive and reliable
    blockchain applications without managing complex infrastructure.


    #### Key Features:

    - **Real-Time Data with Rollback Protection:** Ensures data accuracy by
    handling chain reorganizations gracefully, providing live data without
    sacrificing integrity.

    - **Comprehensive UTXO Indexing:** Specialized pipelines extract, match, and
    process on-chain information, including handling rollbacks, to provide
    accurate and up-to-date data.


    #### Key Benefits for Developers:

    By abstracting the complexities of blockchain data retrieval and processing,
    Maestro's Bitcoin Indexer API empowers developers to focus on building
    innovative applications with confidence in fast and reliable access to
    historical chain data.
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v0.2.0
servers:
  - url: https://xbt-mainnet.gomaestro-api.org/v0
    description: Bitcoin Mainnet
  - url: https://xbt-testnet.gomaestro-api.org/v0
    description: Bitcoin Testnet
security:
  - api-key: []
paths:
  /assets/runes/{rune}/activity:
    get:
      tags:
        - Runes
      summary: Activity by Rune
      description: >-
        Returns all transactions where the Rune was used or transferred,
        beginning with the etching (origin) transaction. Useful for auditing or
        building live token feeds.
      operationId: activity_by_rune
      parameters:
        - name: rune
          in: path
          description: >-
            Rune, specified either by the Rune ID (etching block number and
            transaction index) or name (spaced or un-spaced)
          required: true
          schema:
            type: string
          example: '840110:2698'
        - name: count
          in: query
          description: The max number of transactions per page
          required: false
          schema:
            allOf:
              - type: integer
                default: 100
                minimum: 0
            nullable: true
        - name: order
          in: query
          description: >-
            The order in which the results are sorted (by block height and tx
            index in the block)
          required: false
          schema:
            allOf:
              - type: string
                default: asc
                enum:
                  - asc
                  - desc
            nullable: true
        - name: cursor
          in: query
          description: >-
            Pagination cursor string, use the cursor included in a page of
            results to fetch the next page
          required: false
          schema:
            type: string
            nullable: true
        - name: from
          in: query
          description: Return only transactions created on or after a specific height
          required: false
          schema:
            type: integer
            format: int64
            nullable: true
            minimum: 0
        - name: to
          in: query
          description: Return only transactions created on or before a specific height
          required: false
          schema:
            type: integer
            format: int64
            nullable: true
            minimum: 0
      responses:
        '200':
          description: Requested data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedTxsByRune'
              example:
                data:
                  - burned: null
                    confirmations: 361
                    etching_tx: true
                    height: 840110
                    minted: null
                    receivers:
                      - address: >-
                          bc1plr56q0q4pyj8u7khys2ju8xnscp2y304u83gr06aq8ryt2uf82hq0hzm8z
                        amount: '777777777777.77'
                        script_pubkey: >-
                          5120f8e9a03c1509247e7ad724152e1cd38602a245f5e1e281bf5d01c645ab893aae
                    self_transfers: []
                    senders: []
                    tx_hash: >-
                      5a072b4619077bd2f718dc58784eeb22211aa867a82a523e282df11b0b234a14
                  - burned: null
                    confirmations: 359
                    etching_tx: false
                    height: 840112
                    minted: '888888888888.88'
                    receivers:
                      - address: >-
                          bc1pc9mhstm0sggvtz0afla0f6mm3jevm3dwq2m5c5sckj4w2y3gsgxs456833
                        amount: '888888888888.88'
                        script_pubkey: >-
                          5120c177782f6f8210c589fd4ffaf4eb7b8cb2cdc5ae02b74c5218b4aae51228820d
                    self_transfers: []
                    senders: []
                    tx_hash: >-
                      0477cd84732d4fd0aad0dc5fad14f09b0ad985c4184c0d0de9202637cc67ce9b
                  - burned: null
                    confirmations: 359
                    etching_tx: false
                    height: 840112
                    minted: null
                    receivers:
                      - address: >-
                          bc1pc9mhstm0sggvtz0afla0f6mm3jevm3dwq2m5c5sckj4w2y3gsgxs456833
                        amount: '100000.00'
                        script_pubkey: >-
                          5120c177782f6f8210c589fd4ffaf4eb7b8cb2cdc5ae02b74c5218b4aae51228820d
                    self_transfers: []
                    senders:
                      - address: >-
                          bc1plr56q0q4pyj8u7khys2ju8xnscp2y304u83gr06aq8ryt2uf82hq0hzm8z
                        amount: '100000.00'
                        script_pubkey: >-
                          5120f8e9a03c1509247e7ad724152e1cd38602a245f5e1e281bf5d01c645ab893aae
                    tx_hash: >-
                      f4ce17a5859a720aa77647d19c24c06e556bfffbb5409e8a270eec0e363a7cab
                  - burned: null
                    confirmations: 357
                    etching_tx: false
                    height: 840114
                    minted: null
                    receivers:
                      - address: >-
                          bc1p99uy665vtcnxu9e2hsz4d9lx2tvr59lfaqcsg5na3czqq2hgqw7s4l0937
                        amount: '200000.00'
                        script_pubkey: >-
                          512029784d6a8c5e266e172abc055697e652d83a17e9e83104527d8e04002ae803bd
                    self_transfers: []
                    senders:
                      - address: >-
                          bc1plr56q0q4pyj8u7khys2ju8xnscp2y304u83gr06aq8ryt2uf82hq0hzm8z
                        amount: '200000.00'
                        script_pubkey: >-
                          5120f8e9a03c1509247e7ad724152e1cd38602a245f5e1e281bf5d01c645ab893aae
                    tx_hash: >-
                      e366c55626dbde705361df497c2257853a08068edf3e5ab85daad35b1f70ee2c
                  - burned: null
                    confirmations: 357
                    etching_tx: false
                    height: 840114
                    minted: null
                    receivers:
                      - address: bc1qr4cymlscpespfghnkuxqhwmey674fas8uzvrxp
                        amount: '300000.00'
                        script_pubkey: 00141d704dfe180e6014a2f3b70c0bbb7926bd54f607
                    self_transfers: []
                    senders:
                      - address: >-
                          bc1pc9mhstm0sggvtz0afla0f6mm3jevm3dwq2m5c5sckj4w2y3gsgxs456833
                        amount: '300000.00'
                        script_pubkey: >-
                          5120c177782f6f8210c589fd4ffaf4eb7b8cb2cdc5ae02b74c5218b4aae51228820d
                    tx_hash: >-
                      358ce9038a14becdce89231709db29b2b23c744e10aef2995b62094830481828
                last_updated:
                  block_hash: >-
                    00000000000000000001901beb6d0ded42e731327a95e9c81a3d29336cc79402
                  block_height: 840470
                next_cursor: AAAAAAAM0bJgAQFgKBhIMEgJYluZ8q4QTnQ8srIp2wkXI4nOzb4UigPpjDU
        '400':
          description: Malformed query parameters
        '404':
          description: Requested entity not found on-chain
        '500':
          description: Internal server error
components:
  schemas:
    PaginatedTxsByRune:
      type: object
      required:
        - data
        - last_updated
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/TxByRune'
        last_updated:
          $ref: '#/components/schemas/ChainTip'
        next_cursor:
          type: string
          nullable: true
    TxByRune:
      type: object
      required:
        - height
        - confirmations
        - tx_hash
        - etching_tx
        - self_transfers
        - senders
        - receivers
      properties:
        burned:
          type: string
          description: Number of runes burned in this transaction.
          nullable: true
        confirmations:
          type: integer
          format: int64
          description: Number of confirmation blocks.
          minimum: 0
        etching_tx:
          type: boolean
          description: Whether this is the etching transaction of the rune.
        height:
          type: integer
          format: int64
          description: Height of block containing the rune activity.
          minimum: 0
        minted:
          type: string
          description: Number of runes minted in this transaction.
          nullable: true
        receivers:
          type: array
          items:
            $ref: '#/components/schemas/AddressAndRuneAmount'
          description: >-
            List of addresses that see their rune balances increase after the
            tx, and the corresponding amount.
        self_transfers:
          type: array
          items:
            $ref: '#/components/schemas/AddressAndRuneAmount'
          description: >-
            List of addresses and the corresponding amount, of addresses whose
            rune balances do not change after the tx, as they are only involved
            in self-transfers.
        senders:
          type: array
          items:
            $ref: '#/components/schemas/AddressAndRuneAmount'
          description: >-
            List of addresses that see their rune balances decrease after the
            tx, and the corresponding amount.
        tx_hash:
          type: string
          description: Hash of transaction containing the rune activity.
    ChainTip:
      type: object
      required:
        - block_hash
        - block_height
      properties:
        block_hash:
          type: string
          description: The hash of the block
          example: 0000000000000000000a7f3b7b6b6e1d9a18db65a3b4a3f4f3bcb2e1f1b2d3e7
        block_height:
          type: integer
          format: int64
          description: The height of the block in the blockchain
          example: 707000
          minimum: 0
    AddressAndRuneAmount:
      type: object
      required:
        - script_pubkey
        - amount
      properties:
        address:
          type: string
          description: Address-encoding of the script pubkey.
          nullable: true
        amount:
          type: string
          description: Amount of runes.
        script_pubkey:
          type: string
          description: Script pubkey.
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````